NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.FlatteningBuilder Class Reference

Represents a FlatteningBuilder builder. More...

Inheritance diagram for NXOpen.FlatteningBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  Types { Calculation, Reuse }
 This enum defines the operation types. More...
 
enum  FlatteningConstantType { NoConstraints, ConstantCurveLength, ConstantFaceArea, ConstantBodyVolume }
 This enum defines the flattening constraints types. More...
 
enum  DistortionMapType { None, Length, Area, Angle }
 This enum defines the distortion map types. More...
 

Properties

unsafe
NXOpen.FlatteningBuilder.DistortionMapType 
DistortionMap [get, set]
 Returns or sets the distortion map. More...
 
unsafe
NXOpen.FlatteningBuilder.FlatteningConstantType 
FlatteningConstant [get, set]
 Returns or sets the constraint type for flattening a curved surface. More...
 
unsafe NXOpen.Matrix3x3 ManipulatorMatrix [get, set]
 Returns or sets the orientation of the flattened result. More...
 
unsafe NXOpen.Point3d ManipulatorOrigin [get, set]
 Returns or sets the location of the flattened result. More...
 
unsafe bool ReverseTransformation [get, set]
 Returns or sets the flag indicating whether to reverse the flattening transformation. More...
 
unsafe NXOpen.ScCollector SelectCutCurves [get]
 Returns the curves to cut the surface for reducing distortion. More...
 
unsafe
NXOpen.Features.SelectFeature 
SelectFlatteningFeature [get]
 Returns the existing flattening feature to reuse its transformation. More...
 
unsafe NXOpen.SelectBodyList SelectReferenceBodies [get]
 Returns the reference bodies for constraining constant volumes. More...
 
unsafe NXOpen.ScCollector SelectReferenceCurves [get]
 Returns the reference curves for constraining constant lengths. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
SelectReferenceFaces [get]
 Returns the reference faces or sheet bodies for constraining constant areas. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
SelectTargetFaces [get]
 Returns the selected target faces or sheet bodies to be flattened. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
SelectTransformationObjects [get]
 Returns the input transformation objects such as bodies, faces, curves, points, etc to apply flattening transformation on. More...
 
unsafe NXOpen.Point SpecifyPoint [get, set]
 Returns or sets a point on the target faces. More...
 
unsafe NXOpen.Direction SpecifyPrimaryDirection [get, set]
 Returns or sets the primary direction to define x-axis of the flattening plane More...
 
unsafe
NXOpen.FlatteningBuilder.Types 
Type [get, set]
 Returns or sets the flattening operation type. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a FlatteningBuilder builder.

It creates a sheet body, as a flattened representation of some other sheet body or faces.

To create a new instance of this class, use NXOpen.BodyCollection.CreateFlatteningBuilder

Created in NX8.5.3

Deprecated in NX11.0.0. Use NXOpen.Features.FlatteningAndFormingBuilder instead.

Member Enumeration Documentation

This enum defines the distortion map types.

Enumerator
None 

no distortion map

Length 

length distortion map

Area 

area distortion map

Angle 

angle distortion map

This enum defines the flattening constraints types.

Enumerator
NoConstraints 

No constraints

ConstantCurveLength 

Force constant length

ConstantFaceArea 

Force constant area

ConstantBodyVolume 

force constant volume of the body

This enum defines the operation types.

Enumerator
Calculation 

Calculate new flattening result

Reuse 

Reuse existing flattening result

Property Documentation

unsafe NXOpen.FlatteningBuilder.DistortionMapType NXOpen.FlatteningBuilder.DistortionMap
getset

Returns or sets the distortion map.

Created in NX8.5.3

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.FlatteningBuilder.FlatteningConstantType NXOpen.FlatteningBuilder.FlatteningConstant
getset

Returns or sets the constraint type for flattening a curved surface.

Created in NX8.5.3

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Matrix3x3 NXOpen.FlatteningBuilder.ManipulatorMatrix
getset

Returns or sets the orientation of the flattened result.

Created in NX8.5.3

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point3d NXOpen.FlatteningBuilder.ManipulatorOrigin
getset

Returns or sets the location of the flattened result.

Created in NX8.5.3

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.FlatteningBuilder.ReverseTransformation
getset

Returns or sets the flag indicating whether to reverse the flattening transformation.

Created in NX8.5.3

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.ScCollector NXOpen.FlatteningBuilder.SelectCutCurves
get

Returns the curves to cut the surface for reducing distortion.

Created in NX8.5.3

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.SelectFeature NXOpen.FlatteningBuilder.SelectFlatteningFeature
get

Returns the existing flattening feature to reuse its transformation.

Created in NX8.5.3

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectBodyList NXOpen.FlatteningBuilder.SelectReferenceBodies
get

Returns the reference bodies for constraining constant volumes.

Created in NX8.5.3

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.ScCollector NXOpen.FlatteningBuilder.SelectReferenceCurves
get

Returns the reference curves for constraining constant lengths.

Created in NX8.5.3

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.FlatteningBuilder.SelectReferenceFaces
get

Returns the reference faces or sheet bodies for constraining constant areas.

Created in NX8.5.3

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.FlatteningBuilder.SelectTargetFaces
get

Returns the selected target faces or sheet bodies to be flattened.

Created in NX8.5.3

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.FlatteningBuilder.SelectTransformationObjects
get

Returns the input transformation objects such as bodies, faces, curves, points, etc to apply flattening transformation on.

Created in NX8.5.3

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.FlatteningBuilder.SpecifyPoint
getset

Returns or sets a point on the target faces.

Local normal and orientation of the target face will be used as origin to establish the flattening plane.

Created in NX8.5.3

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.FlatteningBuilder.SpecifyPrimaryDirection
getset

Returns or sets the primary direction to define x-axis of the flattening plane

Created in NX8.5.3

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.FlatteningBuilder.Types NXOpen.FlatteningBuilder.Type
getset

Returns or sets the flattening operation type.

Created in NX8.5.3

License requirements to get this property: studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.